add elips in polyline

hi

Maybe a silly question, but how can I add an elips in a polyline? I've tried pedit --> join but I get the message that only arc circel or line can be added. Trying to explode the elips doesn't work out.

Can anybody please help?

Thanks in advance Wouter

Reply to
Runt
Loading thread data ...

ellipse is actually a spline. you must trace over it with polylines or arcs.. I use divide and set my spaces pretty close then set my Osnap on node & go. HTH Rob

Reply to
Longshot

You can't use a true ellipse. Instead, set PELLIPSE to 1 to force AutoCAD to approximate your ellipse with a polyline; you can then trim, PEDIT, etc. to your heart's content. ___

Reply to
Paul Turvill

Try to use boundary. Draw the ellipse, draw your pline, than make a new boundary and it wil create a region. It's not a polyline but if you need it for hatching it works.

Jan

"Paul Turvill" schreef in bericht news: snipped-for-privacy@whidbeytel.com...

Reply to
JP

It's impossible join an elips with a polyline but I have a lisp command that convert a spline into a lwpolyline... The name is CONVSPL

syntax: (load "convspl") CONVSPL

(defun C:CONVSPL (/ gru index index2 color ltype P0 nspline ent lisent) (setvar "CMDECHO" 0) (setq gru (ssget) index 0 nspline 0 ) (repeat (sslength gru) (setq ent(ssname gru index)) (if (= (cdr(assoc 0 (entget ent))) "SPLINE") (progn (command "SPLINEDIT" ent "REFINE" "E" 20 "X" "X") (setq lisent(entget ent) color(cdr(assoc 62 lisent)) ltype(cdr(assoc 6 lisent)) index2 0 P0(cdr(assoc 10 lisent)) ) (command "LAYER" "SET" (cdr(assoc 8 lisent)) "")(command "PLINE" (trans P0 0 1) )

(repeat (length lisent) (if (= (car(nth index2 lisent)) 10) (command (trans (cdr(nth index2 lisent)) 0 1) ) ) (setq index2(1+ index2)) )

(command) (if (/= color nil) (command "_CHPROP" (entlast) "" "COLOR" color "") )

(if (/= ltype nil) (command "_CHPROP" (entlast) "" "LTYPE" ltype "") ) (entdel ent) (setq nspline(1+ nspline)) ) ) (setq index(1+ index)) ) (princ "\nConvertite ")(princ nspline)(princ " spline.")(princ) )

"Runt" ha scritto nel messaggio news:c2825a$tv8$ snipped-for-privacy@news2.solcon.nl...

Reply to
Max

Thanks you all. I'll try it out!

Wouter

"Runt" schreef in bericht news:c2825a$tv8$ snipped-for-privacy@news2.solcon.nl...

Reply to
Runt

I'm a little confused, how do you use this?

I copeid the bit after "(defun...." into notepad and saved it of as an *.lsp I loaded the lsp into acadwin.

I type convspl at the command line, it promtps me to select something, which I do (an ellipse) it I press enter and it exits the routine. Nothing has happened. What am I doing wrong?

Reply to
Daniel J. Ellis

The LISP "convspl" converts a spline into a polyline. It can not be used to convert an ellipse into a pline.

Juergen

"Daniel J. Ellis" schrieb:

Reply to
Jürgen Palme

Again, depending on the accuracy required, a SPLINE is created when you try to offset an ellipse. Offsetting the offset back gives you an

*approximation* of an ellipse, which could then be used by this routine to make a polyline......
Reply to
Michael Bulatovich

Wouldn't it be easier to follow Pauls suggestion and draw the ellipse while PELLIPSE = 1? So you get a pline and can join it to other lines/polylines/arcs.

Juergen

Michael Bulatovich schrieb:

Reply to
Jürgen Palme

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.